Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.model.dom
Class DOMNodePointer

    java.lang.Object
      |
      +--org.apache.commons.jxpath.ri.model.NodePointer
            |
            +--org.apache.commons.jxpath.ri.model.dom.DOMNodePointer

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable, Pointer, java.io.Serializable

public class DOMNodePointer
extends NodePointer

A Pointer that points to a DOM node.

Version:
  $Revision: 1.16 $ $Date: 2003/03/11 00:59:27 $
Author:
  Dmitri Plotnikov
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `XML_NAMESPACE_URI`
`static java.lang.String` | `XMLNS_NAMESPACE_URI`

Fields inherited from class org.apache.commons.jxpath.ri.model.NodePointer
`index, locale, parent, UNKNOWN_NAMESPACE, WHOLE_COLLECTION`

Constructor Summary
`DOMNodePointer(org.w3c.dom.Node node, java.util.Locale locale)`
`DOMNodePointer(org.w3c.dom.Node node, java.util.Locale locale, java.lang.String id)`
`DOMNodePointer(NodePointer parent, org.w3c.dom.Node node)`

Method Summary
`java.lang.String` | `asPath()` Returns an XPath that maps to this Pointer.
`NodeIterator` | `attributeIterator(QName name)` Returns a NodeIterator that iterates over all attributes of the current node matching the supplied node name (could have a wildcard).
`NodeIterator` | `childIterator(NodeTest test, boolean reverse, NodePointer startWith)` Returns a NodeIterator that iterates over all children or all children that match the given NodeTest, starting with the specified one.
`int` | `compareChildNodePointers(NodePointer pointer1, NodePointer pointer2)` Compares two child NodePointers and returns a positive number, zero or a positive number according to the order of the pointers.
`NodePointer` | `createAttribute(JXPathContext context, QName name)` Called to create a non-existing attribute
`NodePointer` | `createChild(JXPathContext context, QName name, int index)` Called by a child pointer when it needs to create a parent object for a non-existent collection element.
`NodePointer` | `createChild(JXPathContext context, QName name, int index, java.lang.Object value)` Called by a child pointer if that child needs to assign the value supplied in the createPath(context, value) call to a non-existent node.
`boolean` | `equals(java.lang.Object object)`
`java.lang.Object` | `getBaseValue()` Returns the value represented by the pointer before indexing.
`java.lang.String` | `getDefaultNamespaceURI()`
`QName` | `getExpandedName()` Returns a name that consists of the namespaceURI and the local name of the node.
`java.lang.Object` | `getImmediateNode()` Returns the object the pointer points to; does not convert it to a "canonical" type.
`protected java.lang.String` | `getLanguage()`
`int` | `getLength()` If the pointer represents a collection (or collection element), returns the length of the collection.
`static java.lang.String` | `getLocalName(org.w3c.dom.Node node)`
`QName` | `getName()` Returns the name of this node.
`java.lang.String` | `getNamespaceURI()` Returns the namespace URI associated with this Pointer.
`java.lang.String` | `getNamespaceURI(java.lang.String prefix)` Decodes a namespace prefix to the corresponding URI.
`Pointer` | `getPointerByID(JXPathContext context, java.lang.String id)` Locates a node by ID.
`static java.lang.String` | `getPrefix(org.w3c.dom.Node node)`
`java.lang.Object` | `getValue()` By default, returns `getNode()`, can be overridden to return a "canonical" value, like for instance a DOM element should return its string value.
`int` | `hashCode()`
`boolean` | `isActual()` An actual pointer points to an existing part of an object graph, even if it is null.
`boolean` | `isCollection()` Returns `true` if the value of the pointer is an array or a Collection.
`boolean` | `isLanguage(java.lang.String lang)` Returns true if the xml:lang attribute for the current node or its parent has the specified prefix lang.
`boolean` | `isLeaf()` If true, this node does not have children
`NodeIterator` | `namespaceIterator()` Returns a NodeIterator that iterates over all namespaces of the value currently pointed at.
`NodePointer` | `namespacePointer(java.lang.String prefix)` Returns a NodePointer for the specified namespace.
`void` | `remove()` Remove the node of the object graph this pointer points to.
`void` | `setValue(java.lang.Object value)` Sets contents of the node to the specified value.
`static boolean` | `testNode(NodePointer pointer, org.w3c.dom.Node node, NodeTest test)`
`boolean` | `testNode(NodeTest test)` Checks if this Pointer matches the supplied NodeTest.

Methods inherited from class org.apache.commons.jxpath.ri.model.NodePointer
`clone, compareTo, createPath, createPath, getImmediateValuePointer, getIndex, getLocale, getNode, getNodeValue, getParent, getPointerByKey, getRootNode, getValuePointer, isAttribute, isContainer, isDefaultNamespace, isNode, isRoot, newChildNodePointer, newNodePointer, printPointerChain, setAttribute, setIndex, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### XML_NAMESPACE_URI

    public static final java.lang.String XML_NAMESPACE_URI

### XMLNS_NAMESPACE_URI

    public static final java.lang.String XMLNS_NAMESPACE_URI

Constructor Detail

### DOMNodePointer

    public DOMNodePointer(org.w3c.dom.Node node,
                          java.util.Locale locale)

### DOMNodePointer

    public DOMNodePointer(org.w3c.dom.Node node,
                          java.util.Locale locale,
                          java.lang.String id)

### DOMNodePointer

    public DOMNodePointer(NodePointer parent,
                          org.w3c.dom.Node node)

Method Detail

### testNode

    public boolean testNode(NodeTest test)

  Description copied from class: `NodePointer`
  Checks if this Pointer matches the supplied NodeTest.
  Overrides:
    `testNode` in class `NodePointer`

### testNode

    public static boolean testNode(NodePointer pointer,
                                   org.w3c.dom.Node node,
                                   NodeTest test)

### getName

    public QName getName()

  Description copied from class: `NodePointer`
  Returns the name of this node. Can be null.
  Overrides:
    `getName` in class `NodePointer`

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Description copied from class: `NodePointer`
  Returns the namespace URI associated with this Pointer.
  Overrides:
    `getNamespaceURI` in class `NodePointer`

### getExpandedName

    public QName getExpandedName()

  Description copied from class: `NodePointer`
  Returns a name that consists of the namespaceURI and the local name of the node. For non-XML pointers, returns the Pointer's qualified name.
  Overrides:
    `getExpandedName` in class `NodePointer`

### childIterator

    public NodeIterator childIterator(NodeTest test,
                                      boolean reverse,
                                      NodePointer startWith)

  Description copied from class: `NodePointer`
  Returns a NodeIterator that iterates over all children or all children that match the given NodeTest, starting with the specified one.
  Overrides:
    `childIterator` in class `NodePointer`

### attributeIterator

    public NodeIterator attributeIterator(QName name)

  Description copied from class: `NodePointer`
  Returns a NodeIterator that iterates over all attributes of the current node matching the supplied node name (could have a wildcard). May return null if the object does not support the attributes.
  Overrides:
    `attributeIterator` in class `NodePointer`

### namespacePointer

    public NodePointer namespacePointer(java.lang.String prefix)

  Description copied from class: `NodePointer`
  Returns a NodePointer for the specified namespace. Will return null if namespaces are not supported. Will return UNKNOWN_NAMESPACE if there is no such namespace.
  Overrides:
    `namespacePointer` in class `NodePointer`

### namespaceIterator

    public NodeIterator namespaceIterator()

  Description copied from class: `NodePointer`
  Returns a NodeIterator that iterates over all namespaces of the value currently pointed at. May return null if the object does not support the namespaces.
  Overrides:
    `namespaceIterator` in class `NodePointer`

### getNamespaceURI

    public java.lang.String getNamespaceURI(java.lang.String prefix)

  Description copied from class: `NodePointer`
  Decodes a namespace prefix to the corresponding URI.
  Overrides:
    `getNamespaceURI` in class `NodePointer`

### getDefaultNamespaceURI

    public java.lang.String getDefaultNamespaceURI()

  Overrides:
    `getDefaultNamespaceURI` in class `NodePointer`

### getBaseValue

    public java.lang.Object getBaseValue()

  Description copied from class: `NodePointer`
  Returns the value represented by the pointer before indexing. So, if the node represents an element of a collection, this method returns the collection itself.
  Overrides:
    `getBaseValue` in class `NodePointer`

### getImmediateNode

    public java.lang.Object getImmediateNode()

  Description copied from class: `NodePointer`
  Returns the object the pointer points to; does not convert it to a "canonical" type.
  Overrides:
    `getImmediateNode` in class `NodePointer`

### isActual

    public boolean isActual()

  Description copied from class: `NodePointer`
  An actual pointer points to an existing part of an object graph, even if it is null. A non-actual pointer represents a part that does not exist at all. For instance consider the pointer "/address/street". If both address and street are not null, the pointer is actual. If address is not null, but street is null, the pointer is still actual. If address is null, the pointer is not actual. (In JavaBeans) if address is not a property of the root bean, a Pointer for this path cannot be obtained at all - actual or otherwise.
  Overrides:
    `isActual` in class `NodePointer`

### isCollection

    public boolean isCollection()

  Description copied from class: `NodePointer`
  Returns `true` if the value of the pointer is an array or a Collection.
  Overrides:
    `isCollection` in class `NodePointer`

### getLength

    public int getLength()

  Description copied from class: `NodePointer`
  If the pointer represents a collection (or collection element), returns the length of the collection. Otherwise returns 1 (even if the value is null).
  Overrides:
    `getLength` in class `NodePointer`

### isLeaf

    public boolean isLeaf()

  Description copied from class: `NodePointer`
  If true, this node does not have children
  Overrides:
    `isLeaf` in class `NodePointer`

### isLanguage

    public boolean isLanguage(java.lang.String lang)

  Returns true if the xml:lang attribute for the current node or its parent has the specified prefix lang. If no node has this prefix, calls `super.isLanguage(lang)`.
  Overrides:
    `isLanguage` in class `NodePointer`

### getLanguage

    protected java.lang.String getLanguage()

### setValue

    public void setValue(java.lang.Object value)

  Sets contents of the node to the specified value. If the value is a String, the contents of the node are replaced with this text. If the value is an Element or Document, the children of the node are replaced with the children of the passed node.
  Overrides:
    `setValue` in class `NodePointer`

### createChild

    public NodePointer createChild(JXPathContext context,
                                   QName name,
                                   int index)

  Description copied from class: `NodePointer`
  Called by a child pointer when it needs to create a parent object for a non-existent collection element. It may have to expand the collection, then create an element object and return a new pointer describing the newly created element.
  Overrides:
    `createChild` in class `NodePointer`

### createChild

    public NodePointer createChild(JXPathContext context,
                                   QName name,
                                   int index,
                                   java.lang.Object value)

  Description copied from class: `NodePointer`
  Called by a child pointer if that child needs to assign the value supplied in the createPath(context, value) call to a non-existent node. This method may have to expand the collection in order to assign the element.
  Overrides:
    `createChild` in class `NodePointer`

### createAttribute

    public NodePointer createAttribute(JXPathContext context,
                                       QName name)

  Description copied from class: `NodePointer`
  Called to create a non-existing attribute
  Overrides:
    `createAttribute` in class `NodePointer`

### remove

    public void remove()

  Description copied from class: `NodePointer`
  Remove the node of the object graph this pointer points to.
  Overrides:
    `remove` in class `NodePointer`

### asPath

    public java.lang.String asPath()

  Description copied from class: `NodePointer`
  Returns an XPath that maps to this Pointer.
  Overrides:
    `asPath` in class `NodePointer`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    `equals` in class `java.lang.Object`

### getPrefix

    public static java.lang.String getPrefix(org.w3c.dom.Node node)

### getLocalName

    public static java.lang.String getLocalName(org.w3c.dom.Node node)

### getValue

    public java.lang.Object getValue()

  Description copied from class: `NodePointer`
  By default, returns `getNode()`, can be overridden to return a "canonical" value, like for instance a DOM element should return its string value.
  Overrides:
    `getValue` in class `NodePointer`

### getPointerByID

    public Pointer getPointerByID(JXPathContext context,
                                  java.lang.String id)

  Locates a node by ID.
  Overrides:
    `getPointerByID` in class `NodePointer`

### compareChildNodePointers

    public int compareChildNodePointers(NodePointer pointer1,
                                        NodePointer pointer2)

  Description copied from class: `NodePointer`
  Compares two child NodePointers and returns a positive number, zero or a positive number according to the order of the pointers.
  Overrides:
    `compareChildNodePointers` in class `NodePointer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.